## deepin-deepinid-plugin 2.0.8

=== debian/changelog ===
deepin-deepinid-plugin (2.0.8) unstable; urgency=medium

  * 修复背景图不等比例缩放和tip样式不对

 -- Yutao Meng <mengyutao@deepin.org>  Mon, 12 Aug 2024 17:02:54 +0800

deepin-deepinid-plugin (2.0.7) unstable; urgency=medium

  * feat: Add dde-control-center translations (#26)(Issue: 9873)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:19:25 +0800

deepin-deepinid-plugin (2.0.6) unstable; urgency=medium

  * chore: bump version

 -- Chang Yang <yangchang@deepin.org>  Fri, 19 Apr 2024 13:18:44 +0800

deepin-deepinid-plugin (2.0.5) unstable; urgency=medium

  * fix: cache file placed in wrong place

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 02 Jan 2024 11:32:00 +0800

deepin-deepinid-plugin (2.0.4) unstable; urgency=medium

  * chore: use buildin icon to display icon

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 18 Dec 2023 10:55:27 +0800

deepin-deepinid-plugin (2.0.3) unstable; urgency=medium

  * feat: disable edit user info
  * chore: update translations

 -- wurongjie <wurongjie@deepin.org>  Mon, 13 Nov 2023 13:48:19 +0800

deepin-deepinid-plugin (2.0.2) unstable; urgency=medium

  * update description
  * update translations
  * fix when changing name notify twice

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 06 Sep 2023 14:23:50 +0800

deepin-deepinid-plugin (2.0.1) unstable; urgency=medium

  * code tidyup
  * remove deprecated dbus services

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 28 Aug 2023 14:34:52 +0800

deepin-deepinid-plugin (1.0.0) unstable; urgency=medium

  * Initial release

 -- duanhongyu <duanhongyu@uniontech.com>  Mon, 08 Mar 2022 14:34:52 +0800
