## deepin-deepinid-plugin 2.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(deepin-deepinid-plugin
  VERSION 2.0.5
  DESCRIPTION "Deepinid Deepin Control Center Plugin"
  HOMEPAGE_URL "https://github.com/linuxdeepin/deepin-deepinid-plugin/"
  LANGUAGES CXX
)

add_subdirectory(dcc-deepinid-plugin)
