=== debian/changelog ===
deepin-deepinid-plugin (2.0.9) unstable; urgency=medium

  * fix: update prompt copywriter

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 16 Oct 2024 17:18:55 +0800
