=== debian/control ===
Source: deepin-deepinid-plugin
Section: lib
Priority: optional
Maintainer: duanhongyu <duanhongyu@uniontech.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               libdframeworkdbus-dev (>= 1.0.2),
               libgsettings-qt-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-dev-tools,
               libgtest-dev,
               libdtkwidget-dev,
               dde-control-center-dev,
               libpolkit-qt5-1-dev,
               qttools5-dev,
			   libssl-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://gerrit.uniontech.com/admin/repos/deepin-deepinid-plugin
Vcs-Browser: https://gerrit.uniontech.com/admin/repos/deepin-deepinid-plugin

Package: dcc-deepinid-plugin
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: the plugin of deepinid for dde control center
 deepin-deepinid-plugin module
